OccurencesGridFields (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.util

## Enum OccurencesGridFields

- java.lang.Object
- - java.lang.Enum<OccurencesGridFields>
  - - org.gcube.portlets.user.speciesdiscovery.client.util.OccurencesGridFields

- All Implemented Interfaces:
    Serializable, Comparable<OccurencesGridFields>, GridField

      public enum OccurencesGridFields
      extends Enum<OccurencesGridFields>
      implements GridField

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTHOR`
    `BASIS_OF_RECORD`
    `CATALOGUE_NUMBER`
    `CITATION`
    `COLLECTION_CODE`
    `COORDINATE_UNCERTAINTY_IN_METERS`
    `COUNTRY`
    `CREDITS`
    `DATAPROVIDER`
    `DATASET`
    `DATASOURCE`
    `DECIMAL_LATITUDE`
    `DECIMAL_LONGITUDE`
    `EVENT_DATE`
    `FAMILY`
    `INSTITUTION_CODE`
    `KINGDOM`
    `LOCALITY`
    `MAX_DEPTH`
    `MIN_DEPTH`
    `MODIFIED`
    `PROPERTIES`
    `RECORDED_BY`
    `SCIENTIFIC_NAME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `String` | `getName()`
    `boolean` | `isSortable()`
    `static OccurencesGridFields` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OccurencesGridFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSTITUTION_CODE

          public static final OccurencesGridFields INSTITUTION_CODE

    - #### COLLECTION_CODE

          public static final OccurencesGridFields COLLECTION_CODE

    - #### CATALOGUE_NUMBER

          public static final OccurencesGridFields CATALOGUE_NUMBER

    - #### DATASOURCE

          public static final OccurencesGridFields DATASOURCE

    - #### DATAPROVIDER

          public static final OccurencesGridFields DATAPROVIDER

    - #### DATASET

          public static final OccurencesGridFields DATASET

    - #### AUTHOR

          public static final OccurencesGridFields AUTHOR

    - #### CREDITS

          public static final OccurencesGridFields CREDITS

    - #### PROPERTIES

          public static final OccurencesGridFields PROPERTIES

    - #### RECORDED_BY

          public static final OccurencesGridFields RECORDED_BY

    - #### EVENT_DATE

          public static final OccurencesGridFields EVENT_DATE

    - #### MODIFIED

          public static final OccurencesGridFields MODIFIED

    - #### SCIENTIFIC_NAME

          public static final OccurencesGridFields SCIENTIFIC_NAME

    - #### KINGDOM

          public static final OccurencesGridFields KINGDOM

    - #### FAMILY

          public static final OccurencesGridFields FAMILY

    - #### LOCALITY

          public static final OccurencesGridFields LOCALITY

    - #### COUNTRY

          public static final OccurencesGridFields COUNTRY

    - #### CITATION

          public static final OccurencesGridFields CITATION

    - #### DECIMAL_LATITUDE

          public static final OccurencesGridFields DECIMAL_LATITUDE

    - #### DECIMAL_LONGITUDE

          public static final OccurencesGridFields DECIMAL_LONGITUDE

    - #### COORDINATE_UNCERTAINTY_IN_METERS

          public static final OccurencesGridFields COORDINATE_UNCERTAINTY_IN_METERS

    - #### MAX_DEPTH

          public static final OccurencesGridFields MAX_DEPTH

    - #### MIN_DEPTH

          public static final OccurencesGridFields MIN_DEPTH

    - #### BASIS_OF_RECORD

          public static final OccurencesGridFields BASIS_OF_RECORD

  - ### Method Detail

    - #### values

          public static OccurencesGridFields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OccurencesGridFields c : OccurencesGridFields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OccurencesGridFields valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `GridField`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `GridField`

    - #### isSortable

          public boolean isSortable()

      Specified by:
        `isSortable` in interface `GridField`

Copyright © 2013. All Rights Reserved.